List cohorts of a study program
Returns a cursor-paginated list. Scoped to your integration’s institution via Basic Auth credentials.
GET
/study-programs/{id}/cohortsPath parameters
idstringrequiredQuery parameters
cursorstringlimitintegerdefault: 10
Responses
200List of cohorts
dataCohort[]requiredShow propertiesHide properties
Array of
CohortidstringrequirednamestringrequiredinstitutionIdstringrequiredstartDatestring<date-time>requiredendDatestring<date-time>requiredcurriculaVersionIdstringrequiredstudyProgramVersionIdstringrequiredisArchivedbooleanrequiredhasDisconnectedFromCurriculabooleanoriginalCurriculaVersionIdstring | nullpaginationCursorPaginationrequiredShow propertiesHide properties
next_cursorstring | nullrequiredhas_morebooleanrequiredlimitintegerrequiredmetaResponseMetarequiredShow propertiesHide properties
requestIdstringrequiredtimestampstring<date-time>requiredversionstringrequiredAllowed:
v4401Unauthorized
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring404Not Found
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring429Too Many Requests
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestring500Internal Server Error
typestringrequiredAllowed:
errorcodestringrequiredAllowed:
bad_requestunauthorizedforbiddenresource_not_foundconflictvalidation_failedidempotency_key_reusedrate_limit_exceededinternal_errortitlestringrequiredstatusintegerrequireddetailstringrequiredinstancestringerrorsobject[]Show propertiesHide properties
Array of
objectfieldstringmessagestringRequest
curl -X GET "https://fuxam.app/api/v4/study-programs/string/cohorts"const response = await fetch("https://fuxam.app/api/v4/study-programs/string/cohorts", {
method: "GET"
});import requests
response = requests.get(
"https://fuxam.app/api/v4/study-programs/string/cohorts",
)Response
{
"data": [
{
"id": "coh_001",
"name": "WS 2024/25",
"institutionId": "inst_123",
"startDate": "2024-10-01T00:00:00.000Z",
"endDate": "2027-09-30T00:00:00.000Z",
"curriculaVersionId": "cv_001",
"studyProgramVersionId": "spv_001",
"isArchived": false,
"hasDisconnectedFromCurricula": false,
"originalCurriculaVersionId": "string"
}
],
"pagination": {
"next_cursor": "string",
"has_more": true,
"limit": 0
},
"meta": {
"requestId": "req_1234567890_abc",
"timestamp": "2026-06-02T07:00:00.000Z",
"version": "v4"
}
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}{
"type": "error",
"code": "resource_not_found",
"title": "Not Found",
"status": 404,
"detail": "Course not found",
"instance": "req_1234567890_abc",
"errors": [
{
"field": "string",
"message": "string"
}
]
}